Crux: BRE/WFE - Task #17860

WSC: WFschemaGet()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Aniket Shinde % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb
Description
WFschemaGet()
Request
{
"slice": 6,
"app": "retailBANK",
"class": "custonboarding"

all three parameters are mandatory. This combination will identify a unique schema in the realm of the user.
Processing

The calling user must have schema or ruleset capability for the app to which this schema belongs and must belong to the same
realm as the schema record. If the caller has root or report capability, then she may apply this call to any schema in her realm.

Response

{
"slice": 6,
"app": "retailBANK",
"class": "custonboarding",
"patternschema": "some JSON block",
"actionschema": "some JSON block",
"createdat": "some timestamp",
"createdby": "some user",
"editedat": "some timestamp",
"editedby": "some user"

where these fields are picked up straight from the schema table. Possible errors include the usual ones.

Associated revisions

Revision 37e2027b - 11/04/2024 01:27 PM - remiges-aniket

refs: #17860- fix: modified vails type in patternschema

Revision 888d5d62 - 11/04/2024 01:27 PM - Aniket Shinde

Merge pull request #173 from remiges-aniket/wsc

refs: #17860- fix: modified vails type in patternschema

History

#1 - 17/02/2024 05:26 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 17/02/2024 05:26 PM - Shuvam Misra

- Target version set to Sprint 29 Feb
#3 - 20/02/2024 06:31 PM - Aniket Shinde
- % Done changed from 0 to 80
- Assignee set to Aniket Shinde

- Status changed from In Progress to Testing

Task Completed

Pending: realm implementation

#4 - 27/02/2024 03:00 PM - Aniket Shinde
- Status changed from Testing to Closed

#5 - 29/04/2024 04:20 PM - Tushar Bhingare
- % Done changed from 80 to 100
